commit:     12736cf444952e7a60af54c6b3eeb705517c30f3
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 14 12:43:43 2018 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sat Jul 14 12:48:09 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=12736cf4

dev-python/pyrsistent: Bump to 0.14.4 (with py3.7 fixes)

 dev-python/pyrsistent/Manifest                 |  1 +
 dev-python/pyrsistent/pyrsistent-0.14.4.ebuild | 37 ++++++++++++++++++++++++++
 2 files changed, 38 insertions(+)

diff --git a/dev-python/pyrsistent/Manifest b/dev-python/pyrsistent/Manifest
index c3965959de4..f0dd489d0fa 100644
--- a/dev-python/pyrsistent/Manifest
+++ b/dev-python/pyrsistent/Manifest
@@ -1,2 +1,3 @@
 DIST pyrsistent-0.13.0.tar.gz 96326 BLAKE2B 
47388d7d48841c3a093c5309e20e92619b16c9f7c59a47929b8504a7e6aed803cb1fa07260ef8fbc5ebb4b243a52329a5a9976ca947c00243fc5dd3bc9e34e8a
 SHA512 
6bfb657841382c4ad402c383cae5092b83e93a3dde0b905f6cb8ca8a50b8acbe0f3241e9cc50cb83892c0d59b13145764faa2a3db1eabecbe6606a35d07bb5ff
 DIST pyrsistent-0.14.2.tar.gz 97650 BLAKE2B 
343990acbd1cd566a410508514393b6e3c4cf074bb2f1bb46404cd64af05a7397c3abc357ecc29fc82b9fd390f567ba4fa4a3c9c6dd52045f40f28fc7eaa97f7
 SHA512 
06ae1b9d15ac72b09d2fdb80e28849a105cd6955f206472649996318c2dc9915f251d76908a913c02d5583e1e818ff456af496b13fe9b094c043cd2548b2b6d5
+DIST pyrsistent-0.14.4.tar.gz 98660 BLAKE2B 
08c6773ed6c8f4951bcddccd1b67ea11187feddb939b5bd9a529f3a2c3a162507a274f5efccdaf7b41a435484c89e42f78f065b4ed4d1f5dba02e39407096858
 SHA512 
6a2807be742c8aa33e8e244a449457774a9fed9a8a3d5f368f2aa91ca94904d3a8b73faec80a4e18bee48f765305fba4f8f1d2e66153a6cd3975ae412306fc35

diff --git a/dev-python/pyrsistent/pyrsistent-0.14.4.ebuild 
b/dev-python/pyrsistent/pyrsistent-0.14.4.ebuild
new file mode 100644
index 00000000000..8ad89c3eb6a
--- /dev/null
+++ b/dev-python/pyrsistent/pyrsistent-0.14.4.ebuild
@@ -0,0 +1,37 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 python3_{4,5,6} pypy pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="Persistent/Functional/Immutable data structures"
+HOMEPAGE="https://github.com/tobgu/pyrsistent/ 
https://pypi.org/project/pyrsistent/";
+SRC_URI="mirror://pypi/${P:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 
~sh ~sparc ~x86 ~amd64-fbsd ~amd64-linux ~x86-linux"
+IUSE="test"
+
+RDEPEND="
+       dev-python/six[${PYTHON_USEDEP}]"
+
+DEPEND="
+       ${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]
+       test? (
+               dev-python/hypothesis[${PYTHON_USEDEP}]
+               dev-python/pytest[${PYTHON_USEDEP}]
+       )"
+
+# https://github.com/tobgu/pyrsistent/issues/
+# fails
+#RESTRICT="test"
+
+python_test() {
+       export PYTHONPATH="${S}:${PYTHONPATH}"
+       py.test -v -v -x || die ${PYTHONPATH}
+}

Reply via email to